VERSION 2.00
Begin Form Form1 
   Caption         =   "GetTip & GetAdmin Calls"
   ClientHeight    =   5310
   ClientLeft      =   1455
   ClientTop       =   1485
   ClientWidth     =   9750
   Height          =   5715
   Left            =   1395
   LinkTopic       =   "Form1"
   ScaleHeight     =   5310
   ScaleWidth      =   9750
   Top             =   1140
   Width           =   9870
   Begin CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   495
      Left            =   5145
      TabIndex        =   1
      Top             =   3945
      Width           =   1215
   End
   Begin CommandButton cmdGetAdmin 
      Caption         =   "Get &Admin"
      Height          =   495
      Left            =   3270
      TabIndex        =   0
      Top             =   3945
      Width           =   1215
   End
End
'GetTip is called in the Form Activate event.
'If there are no tips stored in the tip file then
'for the first time you run Tipsvb you will get a
'message 'There are no tips, use the GetAdmin function.'
'Click OK, then click the GetAdmin button. This brings
'up the 'Tips Administration' screen. You may add new
'tips there.

Option Explicit
'bInit is used as a flag in the Form Activate event.
Dim bInit As Integer

Sub cmdExit_Click ()
    End
End Sub

Sub cmdGetAdmin_Click ()
    Dim intRetVal As Integer  'Function return value
    Dim strTipPath As String  'Function argument

    'Assign the path where you want to store the 'TIPS.TIP'
    'file. Make sure the 'TIPS.HLP' is stored in this same
    'directory.
    strTipPath = "C:\TIPS\"
    intRetVal = GetAdmin(strTipPath)

End Sub

Sub Form_Activate ()
    Dim intRetVal As Integer  'Function return value
    Dim strTipPath As String  'Function argument
    
    'bInit is set to true in the Form Load event. The only
    'time I want to call GetTip is when the Form first loads.
    'Because the Activate event can be called many times after
    'the Load event I set bInit to false after the first time
    'thru the If End If block. This will prevent GetTip from
    'being called again.

    If bInit Then
        bInit = False

        'Assign the path where you want to store the 'TIPS.TIP'
        'file. Make sure the 'TIPS.HLP' is stored in this same
        'directory.
        strTipPath = "C:\TIPS\"
        'In a real application you should check the function
        'return value. See the Help file for more information.
        intRetVal = GetTip(strTipPath)
    End If
End Sub

Sub Form_Load ()
    'bInit is used as a flag in the Form Activate event.
    'It is set to true here to let the Activate event know
    'that GetTip should be called.
    bInit = True
    Form1.Left = (Screen.Width - Form1.Width) / 2
    Form1.Top = (Screen.Height - Form1.Height) / 2
End Sub

