{GetTip is called in the FormActivate event.
If there are no tips stored in the tip file then
the first time you run Tipcall you will get a
message 'There are no tips, use the GetAdmin function.'
Click OK, then click the GetAdmin button. This brings
up the 'Tips Administration' screen. You may add new
tips there.}

unit Calltip;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TfrmTipCall = class(TForm)
    btnCallAdmin: TButton;
    btnExit: TButton;
    procedure btnCallAdminClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTipCall: TfrmTipCall;

implementation
var
  bInit: boolean;

{$R *.DFM}

function GetAdmin(pTipDir: pchar): integer;
	far; external 'C:\TIPS\TIPS';

function GetTip(pTipDir: pchar): integer;
	far; external 'C:\TIPS\TIPS';

procedure TfrmTipCall.btnCallAdminClick(Sender: TObject);
var
	pTipDir: pchar;
  intRetVal: integer;
begin
  pTipDir := 'C:\TIPS\';
  intRetVal := GetAdmin(pTipDir);

end;

procedure TfrmTipCall.FormCreate(Sender: TObject);
begin
  bInit := True;
end;

procedure TfrmTipCall.FormActivate(Sender: TObject);
var
	pTipDir: pchar;
  intRetVal: integer;

begin
  if bInit then
    begin
     bInit := False;
     pTipDir := 'C:\TIPS\';
     intRetVal := GetTip(pTipDir);
    end;
end;

procedure TfrmTipCall.btnExitClick(Sender: TObject);
begin
	Close;
end;

end.
